* One of the first things you probably used a computer or device for
was numerical computations. In other words, using a calculator to
perform mathematical computations more efficiently.;

* SAS is capable of some complex and quite amazing things, but we should
understand how to at least use it as a calculator first.;

* We can use traditional notation in SAS to perform computations: +, -, *, /.
SAS adheres to the traditional order of operations (PEMDAS) as well: 
parentheses (), exponents **, multiplication *, division /, addition +,
 subtraction -.;

data math;

* Notice that we can use variables to compute the values of other variables.
As long as we're doing math we should be using numeric variables.;
annualsalary = 60000;
monthlyrent = 1600;
annualrent = monthlyrent * 12;

* Proportion of salary used for rent.;
rentprop = annualrent / annualsalary;

run;

proc print data = math;
run;

* In the space below write your own DATA and PROC PRINT steps to store or 
compute the following: 
- your annual salary
- your montly and annual rent
- your monthly and annual utilities
- your monthly and annual food cost/budget 
- the proportion of your salary that each of the above three things make up;












* When your DATA and PROC PRINT steps look good, go ahead and run this SAS
script. In the first lesson you should have noted the presence of the Editor,
Log, and Output windows. So far we've only looked at the Editor and Output 
windows. The Log window is useful for checking to make sure SAS did not
encounter any errors in running the script. If your output looks different 
than you expect, the Log is a good place to look first.;